package com.muyu.auth.domain;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * token 响应实体类
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TokenResp {
    /**
     * token令牌
     */
    @Schema(
            title = "token令牌",
            type = "String",
            defaultValue = "eyJ0e.eyJ1dlLTJJVSJ9.Pk5KS_Uh2n",
            description = "JWT令牌,包含头,载体,尾"
    )
    private String accessToken;
    /**
     * 有效时间
     */
    @Schema(
            title = "令牌有效时间/MIN",
            type = "Long",
            defaultValue = "720",
            description = "过期时间,时间单位为分钟(MIN)"
    )
    private Long expiresIn;
}
